# DataTableConfigLabelAccumulator (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableConfigLabelAccumulator

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableConfigLabelAccumulator

- All Implemented Interfaces:
    org.eclipse.nebula.widgets.nattable.layer.cell.IConfigLabelAccumulator

      public class DataTableConfigLabelAccumulator
      extends java.lang.Object
      implements org.eclipse.nebula.widgets.nattable.layer.cell.IConfigLabelAccumulator

  A label accumulator for the data view.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableConfigLabelAccumulator(org.eclipse.nebula.widgets.nattable.NatTable table, DataTableContext context)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accumulateConfigLabels(org.eclipse.nebula.widgets.nattable.layer.LabelStack configLabels, int columnPosition, int rowPosition)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableConfigLabelAccumulator

          public DataTableConfigLabelAccumulator(org.eclipse.nebula.widgets.nattable.NatTable table,
                                         DataTableContext context)

      Creates a new instance.
      Parameters:
        `table` -
        `context` -

  - ### Method Detail

    - #### accumulateConfigLabels

          public void accumulateConfigLabels(org.eclipse.nebula.widgets.nattable.layer.LabelStack configLabels,
                                    int columnPosition,
                                    int rowPosition)

      Specified by:
        `accumulateConfigLabels` in interface `org.eclipse.nebula.widgets.nattable.layer.cell.IConfigLabelAccumulator`